Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 166898 - build with dependencies on submodule does not apply options
build with dependencies on submodule does not apply options
Status: RESOLVED FIXED
Product: projects
Classification: Unclassified
Component: Maven
6.x
PC Windows XP
: P3 (vote)
: 6.x
Assigned To: Milos Kleint
issues@platform
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-11 07:39 UTC by catweasle
Modified: 2009-08-21 06:07 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
top module build output (14.88 KB, text/plain)
2009-06-11 07:53 UTC, catweasle
Details
submodule build output (1.48 KB, text/plain)
2009-06-11 07:54 UTC, catweasle
Details
submodule build with dependencies output (ignore test failures, these are my fault) (25.64 KB, text/plain)
2009-06-11 07:56 UTC, catweasle
Details

Note You need to log in before you can comment on or make changes to this bug.
Description catweasle 2009-06-11 07:39:43 UTC
I have a multimodule project.
I have some options set like --offline and skip tests.
These options are set
- in the global maven options: --offline, skip tests checked (and --failnever)
- in the actions (build and build with dependencies) on my individual modules (top and submodules): maven.test.skip=true
If I build my top module maven does not execute tests and does not check online for module updates.
If I build a submodule maven does not execute tests and does not check online for module updates.
If I build with dependencies on a submodule maven executes tests and checks online for updates.
Comment 1 catweasle 2009-06-11 07:53:45 UTC
Created attachment 83430 [details]
top module build output
Comment 2 catweasle 2009-06-11 07:54:11 UTC
Created attachment 83431 [details]
submodule build output
Comment 3 catweasle 2009-06-11 07:56:15 UTC
Created attachment 83432 [details]
submodule build with dependencies output (ignore test failures, these are my fault)
Comment 4 Milos Kleint 2009-06-29 13:44:08 UTC
I suspect the reactor:make goal execution doesn't allow passing profile activations or properties into the
forked/invoked build.

I guess we should be using the default switches introduced in maven 2.1, rather then reactor:make goal. probably only
fallback to the goal if users are using older external maven binaries.
Comment 5 Milos Kleint 2009-08-17 13:26:23 UTC
The reactor plugin documentation suggests that one can write this: 
mvn reactor:resume -Dmake.folders=barBusinessLogic -Dmake.goals=install,-DskipTests

where -DskipTests is a property.
Therefore one should be able to put -Pprofile into the property 
but I haven't checked if it truly works.
Comment 6 Milos Kleint 2009-08-20 13:50:55 UTC
anyway, after the following changeset we should have the default to use -pl and -am switches if using 2.1+ maven, for
older versions we still fallback to reactor:make. If you have custom setting using reactor:make, with 2.1+ maven you
should get the non-plugin reactor as well.

http://hg.netbeans.org/main/rev/eaf757ed5f30
Comment 7 Quality Engineering 2009-08-21 06:07:18 UTC
Integrated into 'main-golden', will be available in build *200908210201* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/cc5cb7204210
User: Milos Kleint <mkleint@netbeans.org>
Log: #166898 allow setting -am, -amd, -pl switches to the command line maven, persist and read such settings.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo